Subject: [PATCHv4 1/4] procfs: Introduce socinfo under /proc

From: [email-masked] (Felipe Balbi)
Date: Mon, 10 May 2010 15:54:40 +0300

On Mon, May 10, 2010 at 01:13:00PM +0200, ext Paul Mundt wrote:
>You'll still need the show function, but all of the rest of this is just
>duplicating what single_open() already does. If the socinfo string is
>static you may also want to rework this a bit so you can just stash the
>string in the proc_dir_entry private data. Combine this with something
>like kstrdup() and you'll save yourself a bit of stack while you're at
>it.

doesn't ksrtdup() cause memleak ?? Or is it only when used with 
module parameters ??

-- 
balbi

DefectiveByDesign.org